# Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > > Struct Template Reference

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface. More...

`#include <giomm/drive.h>`

List of all members.

## Public Types

typedef Glib::RefPtr< Gio::Drive > | CppType
typedef GDrive* | CType
typedef GDrive* | CTypeNonConst

## Static Public Member Functions

static CType | to_c_type (const CppType& item)
static CppType | to_cpp_type (const CType& item)
static void | release_c_type (CType item)

## Detailed Description

### template <>
struct Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface.

## Member Typedef Documentation

typedef Glib::RefPtr<Gio::Drive> Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::CppType

typedef GDrive* Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::CType

typedef GDrive* Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::CTypeNonConst

## Member Function Documentation

static void Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::release_c_type | ( | CType | item | ) | `[inline, static]`

static CType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::to_c_type | ( | const CppType& | item | ) | `[inline, static]`

static CppType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::to_cpp_type | ( | const CType& | item | ) | `[inline, static]`